Name:           compat-libosip2
Version:        2.2.2
Release:        16%{?dist}

Summary:        oSIP is an implementation of SIP

Group:          System Environment/Libraries
License:        LGPLv2+

URL:            http://www.gnu.org/software/osip/
Source0:        http://ftp.gnu.org/gnu/osip/libosip2-%{version}.tar.gz

Patch:          libosip2-2.2.2-x64.patch

Obsoletes:      libosip2 < 2.2.2-5%{?dist}

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
oSIP is an implementation of SIP.

SIP stands for the Session Initiation Protocol and is described by the
rfc3261 (wich deprecates rfc2543). This library aims to provide
multimedia and telecom software developers an easy and powerful
interface to initiate and control SIP based sessions in their
applications. SIP is a open standard replacement from IETF for H.323.

This is a compatibility package for applications that have not been
rewritten to use the APIs in newer versions of libosip2.

%package        devel
Summary:        Development libraries for oSIP
Group:          Development/Libraries

Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

Obsoletes:      libosip2-devel < 2.2.2-5%{?dist}

%description    devel
The GNU oSIP library is written in C and get no dependencies except the
standard C library. oSIP is thread safe and will generally be used in a
multi-threaded application. Nevertheless, this is optional.

oSIP is little in size and code and thus could be use to implement IP
soft-phone as well as embedded SIP software. oSIP is not limited to endpoint
agents, and can also be used to implement "SIP proxy".

oSIP does not intend to provide a high layer API for controlling "SIP Session"
at this step. Instead, it currently provides an API for the SIP message parser,
SDP message parser, and library to handle "SIP transactions" as defined by the
SIP document.

%prep
%setup -q -n libosip2-%{version}
%patch -p1 -b .x64

%{__perl} -pi.compat -e 's/-l(osip(?:parser)?2)(?!-)/-l\1-2.2.2/g;s/^(Cflags:.*)$/\1 -I\@includedir\@/' libosip2.pc.in

%build
%configure --disable-static --includedir=%{_includedir}/osip2-2.2.2
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
mv %{buildroot}%{_mandir}/man1/osip.1 %{buildroot}%{_mandir}/man1/osip2-2.2.2.1
mv %{buildroot}%{_libdir}/libosip2.so %{buildroot}%{_libdir}/libosip2-2.2.2.so
mv %{buildroot}%{_libdir}/libosipparser2.so %{buildroot}%{_libdir}/libosipparser2-2.2.2.so
mv %{buildroot}%{_libdir}/pkgconfig/libosip2.pc %{buildroot}%{_libdir}/pkgconfig/libosip2-2.2.2.pc

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING ChangeLog FEATURES HISTORY NEWS README TODO
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/osip2-2.2.2
%{_includedir}/osip2-2.2.2/osip2
%{_includedir}/osip2-2.2.2/osipparser2
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man1/*.1*

%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.2.2-16
- Autorebuild for GCC 4.3

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 2.2.2-15
- Rebuild for selinux ppc32 issue.

* Tue Aug 28 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 2.2.2-14
- Update license tag.

* Tue Jul 17 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 2.2.2-13
- Remove provides libosip2-devel

* Tue Apr 17 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 2.2.2-12
- Fix oops

* Tue Apr 17 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 2.2.2-11
- Make sure new includedir is part of CFLAGS in pkgconfig file.  Fixes #233925.

* Thu Apr 12 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 2.2.2-10
- Remove Provides: libosip2... to fix #236188

* Wed Nov 15 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 2.2.2-9
- Bump release to workaround bad CVS tag.

* Mon Nov 13 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 2.2.2-8
- Add Obsoletes

* Mon Nov 13 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 2.2.2-7
- Fix up provides/obsoletes/conflicts
- Fix package name

* Sat Nov 11 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 2.2.2-6
- Reconfigure as a compat- package

* Wed Aug 30 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 2.2.2-4
- Bump release and rebuild.

* Thu Feb 23 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.2.2-3
- Fix for AMD64

* Mon Feb 13 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.2.2-2
- Rebuild for Fedora Extras 5

* Thu Dec 22 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.2.2-1
- Upstream update

* Sat Oct 15 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.2.1-1
- Upstream update
- Disable static library

* Thu Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Thu Mar 24 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.2.0-2
- Renamed osip.1 and moved to -devel

* Thu Mar 24 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.2.0-1
- Initial RPM release.
